<app-loading *ngIf="isLoading"></app-loading>
<nz-card>

  <div nz-row>
    <div nz-col nzLg="20">
      <h3 >{{ 'development.proposed-unit.proposeMultiple.listElementPropose' | translate }}</h3>
    </div>
    <div nz-col nzLg="4">
      <mb-button
        (click)="showModalPropose(footerTmpl)"
        mbButtonAvailableStyle='PRIMARY'
        style="float: right"
        mbButtonText="{{ 'development.proposed-unit.proposeMultiple.addNewPersonnel' | translate }}"
        *ngIf="typeAction === screenType.create || (typeAction === screenType.update && !isScreenHandle)"
      >
    </mb-button>
    </div>
  </div>


  <ng-container *ngIf="typeAction === screenType.create || (typeAction === screenType.update && !isScreenHandle)">
    <div *ngIf="proposeCategory !== categoryProposed.GROUP" nz-row (click)="expandInfoEmp()">
      <h3>{{ 'development.proposed-unit.proposeMultiple.applyProposePosition' | translate }}</h3>
      <span class="iconLog">
        <em nz-icon [nzType]="expandInfoEmpText()"></em>
      </span>
    </div>


    <div nz-row [nzGutter]="[32, 24]" [formGroup]="formAppletEmployee" *ngIf="isSeeMore">
      <ng-container *ngIf="proposeCategory !== categoryProposed.GROUP">
        <div nz-col class="gutter-row" nzLg="6">
          <mb-select
            [mbDataSelects]="dataCommon.formGroupMultipleList"
            mbKeyLabel="formName"
            mbKeyValue="formCode"
            formControlName="formCode"
            mbType="default"
            mbLabelText="{{ 'development.consultation-config.search.formCode' | translate }} "
            mbPlaceholder="{{ 'development.consultation-config.search.formCode' | translate }} "
            [mbType]="isSubmitted && formAppletEmployee.controls['formCode'].errors ? 'error' : 'default'"
            [mbShowError]="isSubmitted && formAppletEmployee.controls['formCode'].errors != null"
            [mbErrors]="formAppletEmployee.controls['formCode'].errors"
            [mbErrorDefs]="[{ errorName: 'required',
              errorDescription: 'development.proposed-unit.reportCard.mustInput' | translate }]"
            (ngModelChange)="onChangeFormCode($event)"
          ></mb-select>
        </div>

        <div nz-col class="gutter-row" nzLg="6">
          <mb-select-unit
            formControlName="currentUnit"
            mbLabelText="{{ 'development.proposed-unit.table.unit' | translate }}"
            mbPlaceholder="{{ 'development.proposed-unit.table.unit' | translate }}"
            name="currentUnit"
            [mbType]="isSubmitted && formAppletEmployee.controls['currentUnit'].errors ? 'error' : 'default'"
            [mbShowError]="isSubmitted && formAppletEmployee.controls['currentUnit'].errors != null"
            [mbErrors]="formAppletEmployee.controls['currentUnit'].errors"
            [mbErrorDefs]="[{ errorName: 'required',
              errorDescription: 'development.proposed-unit.reportCard.mustInput' | translate }]"
            (ngModelChange)="onChangeUnit($event?.orgId)"
            *ngIf="+dataForm?.formGroup !== formGroupListConst.DCLEVEL"
          >
          </mb-select-unit>
        </div>

        <div nz-col class="gutter-row" nzLg="6" >
          <mb-select
            formControlName="currentTitle"
            name="currentTitle"
            [mbDataSelects]="jobDTOS"
            mbKeyLabel="jobName"
            mbKeyValue="jobId"
            mbLabelText="{{ 'development.proposed-unit.table.title' | translate }}"
            mbPlaceholder="{{ 'development.proposed-unit.table.title' | translate }}"
            [mbType]="isSubmitted && formAppletEmployee.controls['currentTitle'].errors ? 'error' : 'default'"
            [mbShowError]="isSubmitted && formAppletEmployee.controls['currentTitle'].errors != null"
            [mbErrors]="formAppletEmployee.controls['currentTitle'].errors"
            [mbErrorDefs]="[{ errorName: 'required',
              errorDescription: 'development.proposed-unit.reportCard.mustInput' | translate }]"
            *ngIf="+dataForm?.formGroup !== formGroupListConst.DCLEVEL"
          ></mb-select>
        </div>

        <div nz-col class="gutter-row" nzLg="4" class="switch" *ngIf="+dataForm?.formGroup !== formGroupListConst.DCLEVEL">
          <label nz-checkbox formControlName="sameCurrentTitle" (nzCheckedChange)="changeCurrentTitl($event)">
            <span class="switch-title">{{
              'development.proposed-unit.proposeMultiple.sameCurrentTitle' | translate
            }}</span>
          </label>

        </div>

        <div nz-col class="gutter-row" nzLg="2">
          <button style="margin-top: 25px" nz-button nzType="primary" (click)="applyEmployee()" nzShape="round">
            {{ 'development.proposed-unit.button.apply' | translate }}
          </button>
        </div>


        <div nz-col class="gutter-row" nzLg="6">
          <mb-date-picker
            mbFormat="dd/MM/yyyy"
            mbPlaceholderText="dd/mm/yyyy"
            formControlName="implementDate"
            mbLabelText="{{ 'development.proposed-unit.formRotation.proposeDateImplement' | translate }}"
            [mbType]="isSubmitted && formAppletEmployee.controls['implementDate'].errors ? 'error' : 'default'"
            [mbShowError]="isSubmitted && formAppletEmployee.controls['implementDate'].errors != null"
            [mbErrors]="formAppletEmployee.controls['implementDate'].errors"
            [mbErrorDefs]="[{ errorName: 'required',
              errorDescription: 'development.proposed-unit.reportCard.mustInput' | translate }]"
            [mbDisabledDate]="disabledImplementDate"
          >
          </mb-date-picker>
        </div>
        <div nz-col class="gutter-row" nzLg="6">
          <mb-input-text
          *ngIf="rotationTimeViewMin"
          mbLabelText="Thời gian tối thiểu (tháng)"
          mbPlaceholderText="Thời gian tối thiểu (tháng)"
            mbInputType='number'
            [mbShowFlexEnd]='false'
            formControlName="minimumTime"
            minNumber ='0'>
            </mb-input-text>
        </div>
        <div nz-col class="gutter-row" nzLg="6">
          <mb-input-text
          *ngIf="rotationTimeViewMax"
          mbLabelText="Thời gian tối đa (tháng)"
          mbPlaceholderText="Thời gian tối đa (tháng)"
            mbInputType='number'
            [mbShowFlexEnd]='false'
            formControlName="maximumTime"
            minNumber ='0'>
            </mb-input-text>
        </div>


      </ng-container>

    </div>
  </ng-container>
  <br />
<form [formGroup]="formProposeMultiple">
    <ng-container formArrayName="arrayProposeMultiple">

  <nz-table
    class="ant-table-content rotationList"
    #tbTransfer
    [nzShowPagination]="false"
    [nzData]="listEmployeeInfo!.length > 0 ? listEmployeeInfo : []"
    [nzPageSize]="listEmployeeInfo.length"
    [nzScroll]="{ x: '100%', y: '25em' }"
  >
    <thead>

      <tr>
        <th nzLeft scope="col" nzWidth="50px" class="text-center" rowspan="2">
          {{ 'development.proposed-unit.table.stt' | translate }}
        </th>
        <th nzLeft scope="col" nzWidth="100px" rowspan="2">{{ 'development.proposed-unit.table.proposeCode' | translate }}</th>
        <th nzLeft scope="col" nzWidth="120px" rowspan="2">{{ 'development.proposed-unit.table.statusApprove' | translate }}</th>
        <th *ngIf="screenCode === screenCodeConst.PTNL && (handlePropose || typeAction === screenType.detail) && viewWithdrawNoteName" nzLeft scope="col" nzWidth="100px" rowspan="2">{{ 'development.proposed-unit.table.noteWithdraw' | translate }}</th>
        <th *ngIf="(checkColumCancelPropose() && typeAction === screenType.detail)"
          nzLeft scope="col" nzWidth="100px" class="text-center">
          {{ 'development.proposed-unit.proposeMultiple.cancelPropose' | translate }}
          <div
            [nzDisabled]="typeAction === screenType.detail && screenCode === screenCodeConst.LDDV"
            [nzChecked]="checkedWithdrawAll"
            (nzCheckedChange)="onAllCheckedWithdraw($event)"
            nzLeft
            nz-checkbox></div>
        </th>
        <th nzLeft scope="col" nzWidth="110px" rowspan="2">
          {{ 'development.proposed-unit.table.empCode' | translate }}
        </th>
        <th nzLeft scope="col" nzWidth="140px" rowspan="2">
          {{ 'development.proposed-unit.table.empName' | translate }}
        </th>

        <th scope="col" nzWidth="250px" rowspan="2">
          {{ 'development.proposed-unit.table.currentUnit' | translate }}
        </th>
        <th scope="col" nzWidth="150px"  rowspan="2">
          {{ 'development.proposed-unit.table.currentTitle' | translate }}
        </th>
        <th scope="col" nzWidth="90px" rowspan="2">
          {{ 'development.proposed-unit.table.currentLevel' | translate }}
        </th>

        <th scope="col" nzWidth="250px" rowspan="2">
          {{ 'development.proposed-unit.table.proposeUnit' | translate }}
        </th>
        <th scope="col" nzWidth="150px" rowspan="2">
          {{ 'development.proposed-unit.table.proposeTitle' | translate }}
        </th>
        <th scope="col" nzWidth="90px"rowspan="2">
          {{ 'development.proposed-unit.table.targetLevel' | translate }}
        </th>

        <th scope="col" nzWidth="150px" rowspan="2">
          {{ 'development.proposed-unit.proposeMultiple.T2' | translate }}
        </th>

        <th scope="col" nzWidth="150px" rowspan="2">
          {{ 'development.proposed-unit.proposeMultiple.T1' | translate }}
        </th>

         <th scope="col" nzWidth="140px" rowspan="2">
           {{ 'development.proposed-unit.table.targetAssessment' | translate }}
        </th>

        <th scope="col" nzWidth="160px" rowspan="2">
          {{ 'development.proposed-unit.proposeComment.strengths' | translate }}
        </th>
        <th scope="col" nzWidth="160px" rowspan="2">
          {{ 'development.proposed-unit.proposeComment.weaknesses' | translate }}
        </th>

        <th scope="col" nzWidth="150px" rowspan="2">
          {{ 'development.proposed-unit.proposeMultiple.proposeAlternative' | translate }}
        </th>

        <th scope="col" nzWidth="120px" >
          {{ 'development.proposed-unit.table.personnelCode' | translate }}
        </th>

        <th scope="col" nzWidth="200px" >
          {{ 'development.proposed-unit.table.personnel' | translate }}
        </th>

        <th scope="col" nzWidth="120px">
          {{ 'development.proposed-unit.table.handoverPersonnelCode' | translate }}
        </th>
        <th scope="col" nzWidth="200px">
          {{ 'development.proposed-unit.table.handoverPersonnel' | translate }}
        </th>

        <th scope="col" nzWidth="130px" rowspan="2">
          {{ 'development.proposed-unit.formRotation.formName' | translate }}
        </th>

        <th scope="col" nzWidth="130px" rowspan="2">
          {{ 'development.proposed-unit.table.dateOfImplementation' | translate }}
        </th>
        <th scope="col" nzWidth="130px" rowspan="2">
          {{ 'development.proposed-unit.table.minimumTime' | translate }}
        </th>
        <th scope="col" nzWidth="130px" rowspan="2">
          {{ 'development.proposed-unit.table.maximumTime' | translate }}
        </th>
        <th scope="col" nzWidth="180px" rowspan="2">
          {{ 'development.proposed-unit.table.recommendedReason' | translate }}
        </th>

        <th scope="col" nzWidth="165px" rowspan="2">
          {{ 'development.proposed-unit.table.resultCheckCondition2' | translate }}
        </th>


        <ng-container *ngIf="screenCode === screenCodeConst.PTNL || screenCode === screenCodeConst.KSPTNL">
          <th scope="col" nzWidth="90px" class="widthPTNL">
            {{ 'development.proposed-unit.table.consultationCondition' | translate }}
          </th>
          <th scope="col" nzWidth="120px" class="widthPTNL">
            {{ 'development.proposed-unit.table.salaryStatus' | translate }}
          </th>
          <th scope="col" nzWidth="90px" class="widthPTNL">
            {{ 'development.proposed-unit.table.interviewCondition' | translate }}
          </th>
          <th scope="col" nzWidth="90px" class="widthPTNL">
            {{ 'development.salaryInterview.interviewResult' | translate }}
          </th>
          <th scope="col" nzWidth="100px">{{ 'development.proposed-unit.proposeMultiple.updateKQPV' | translate }}</th>

          <th scope="col" nzWidth="90px">{{ 'development.proposed-unit.proposeMultiple.decision' | translate }}</th>
          <th scope="col" nzWidth="90px">{{ 'development.proposed-unit.proposeMultiple.TBsalary' | translate }}</th>
          <th scope="col" nzWidth="90px">{{ 'development.proposed-unit.proposeMultiple.TBInsurance' | translate }}</th>
          <th scope="col" nzWidth="110px" class="widthPTNL">
            {{ 'development.proposed-unit.table.statusPublish' | translate }}
          </th>
        </ng-container>

        <th *ngIf="screenCode !== screenCodeConst.LDDV && screenCode !== screenCodeConst.KSPTNL" nzRight scope="col" nzWidth="50px" class="text-center" rowspan="2"></th>
      </tr>
    </thead>
    <tbody>
      <ng-container *ngIf="listEmployeeInfo?.length > 0">
          <tr *ngFor="let item of arrayProposeMultiple?.controls; let i = index" [formGroupName]="i" (dblclick)="detailProposeItem(listEmployeeInfo[i])">
          <td nzLeft class="text-center">{{ pageable.currentPage * pageable.size + i + 1 }}</td>
          <td nzLeft class="text-center">{{ listEmployeeInfo[i]?.proposeCode }}</td>
          <td nzLeft>{{ viewTextStatusApprove(listEmployeeInfo[i]?.flowStatusCode) }}</td>
          <td nzLeft *ngIf="screenCode === screenCodeConst.PTNL && (handlePropose || typeAction === screenType.detail) && viewWithdrawNoteName">
            {{ listEmployeeInfo[i].withdrawNoteName }}
          </td>
          <td *ngIf="checkColumCancelPropose() && typeAction === screenType.detail"
              nzLeft class="text-center">
            <label
              [nzDisabled]="disableCancelProposeCheckbox(listEmployeeInfo[i]?.flowStatusCode)
                || listEmployeeInfo[i]?.cancelProposeRetractFlag"
              nz-checkbox
              formControlName="cancelProposeRetractFlag"
              [nzChecked]="quantityMapWithdraw.has(listEmployeeInfo[i]?.id)"
              (nzCheckedChange)="onItemCheckedWithdraw(listEmployeeInfo[i], $event)"
            >
            </label>
          </td>
          <td nzLeft>{{ listEmployeeInfo[i]?.employee?.empCode }}</td>
          <td nzLeft>{{ listEmployeeInfo[i]?.employee?.fullName }}</td>
          <td>
            {{ listEmployeeInfo[i]?.employeeUnitPathName }}
          </td>
          <td>
            {{ listEmployeeInfo[i]?.employee?.jobName }}
          </td>
          <td>
            {{ listEmployeeInfo[i]?.employee?.positionLevel }}
          </td>
          <td>
            <ng-container *ngIf="listEmployeeInfo[i]?.isEdit,else editEmployeeInfo">
              <mb-select-unit
              formControlName="contentUnit"
              mbPlaceholder="{{ 'development.proposed-unit.table.unit' | translate }}"
              name="contentUnit"
              (ngModelChange)="onChangeUnitOffer($event?.orgId, i)"
              [mbType]="viewValidators(i) && item.controls['contentUnit'].errors ? 'error' : 'default'"
              [mbShowError]="viewValidators(i) && item.controls['contentUnit'].errors != null"
              [mbErrors]="item.controls['contentUnit'].errors"
              [mbErrorDefs]="[{ errorName: 'required', errorDescription: 'development.proposed-unit.reportCard.mustInput' | translate }]"
            >
            </mb-select-unit>
            </ng-container>
            <ng-template #editEmployeeInfo>
              {{ listEmployeeInfo[i]?.contentUnitPathName }}
            </ng-template>
          </td>
          <td>

            <ng-container *ngIf="listEmployeeInfo[i]?.isEdit,else editEmployeeInfo1">
              <mb-select
              formControlName="contentTitleCode"
              name="contentTitleCode"
              [mbDataSelects]="jobDTOSOffer"
              mbKeyLabel="jobName"
              mbKeyValue="jobId"

              [mbType]="viewValidators(i) && item.controls['contentTitleCode'].errors ? 'error' : 'default'"
              [mbShowError]="viewValidators(i) && item.controls['contentTitleCode'].errors != null"
              [mbErrors]="item.controls['contentTitleCode'].errors"
              [mbErrorDefs]="[{ errorName: 'required', errorDescription: 'Vui lòng nhập thông tin' }]"
            ></mb-select>
            </ng-container>
            <ng-template #editEmployeeInfo1>
              {{ listEmployeeInfo[i]?.contentTitleName }}

            </ng-template>


          </td>
          <td>


        <ng-container *ngIf="listEmployeeInfo[i]?.isEdit,else editEmployeeInfo2">
          <mb-select
          formControlName="contentLevel"
          [ngModelOptions]="{ standalone: true}"
          [mbDataSelects]="dataCommon.levelTitle"
          mbKeyLabel="name"
          mbKeyValue="code"
          mbPlaceholder="{{ 'development.proposed-unit.formRotation.level' | translate }}"
          [mbType]="viewValidators(i) && item.controls['contentLevel'].errors ? 'error' : 'default'"
              [mbShowError]="viewValidators(i) && item.controls['contentLevel'].errors != null"
              [mbErrors]="item.controls['contentLevel'].errors"
              [mbErrorDefs]="[{ errorName: 'required', errorDescription: 'Vui lòng nhập thông tin' }]"
          >
        </mb-select>
        </ng-container>
        <ng-template #editEmployeeInfo2>
          {{ listEmployeeInfo[i]?.contentLevel }}
        </ng-template>


          </td>

          <td> {{ viewSemesterGrade(listEmployeeInfo[i]?.employee?.semesterGradeT1, listEmployeeInfo[i]?.employee?.semesterRankT1) }} </td>
          <td>
            {{ viewSemesterGrade(listEmployeeInfo[i]?.employee?.semesterGradeT2, listEmployeeInfo[i]?.employee?.semesterRankT2) }}
          </td>
          <td>
        {{ listEmployeeInfo[i]?.totalPoint  }}
          </td>
          <td
            class="text-ellipsis"
            nz-tooltip
            nzTooltipPlacement="top"
            [nzTooltipTitle]="listEmployeeInfo[i]?.proposeComment?.strengths"
          >
          <ng-container *ngIf="listEmployeeInfo[i]?.isEdit,else editEmployeeInfo3">
          <mb-input-text
          formControlName="strengths"
          mbPlaceholderText="{{ 'development.proposed-unit.proposeComment.strengths' | translate }}"

          [mbType]="viewValidators(i) && item.controls['strengths'].errors ? 'error' : 'default'"
              [mbShowError]="viewValidators(i) && item.controls['strengths'].errors != null"
              [mbErrors]="item.controls['strengths'].errors"
              [mbErrorDefs]="[{ errorName: 'required', errorDescription: 'Vui lòng nhập thông tin' }]"
        ></mb-input-text>

        </ng-container>
        <ng-template #editEmployeeInfo3>
          {{ listEmployeeInfo[i]?.proposeComment?.strengths }}
        </ng-template>

          </td>

          <td
            class="text-ellipsis"
            nz-tooltip
            nzTooltipPlacement="top"
            [nzTooltipTitle]="listEmployeeInfo[i]?.proposeComment?.weaknesses"
          >
          <ng-container *ngIf="listEmployeeInfo[i]?.isEdit,else editEmployeeInfo4">
            <mb-input-text
            formControlName="weaknesses"
            mbPlaceholderText="{{ 'development.proposed-unit.proposeComment.weaknesses' | translate }}"
            [mbType]="viewValidators(i) && item.controls['weaknesses'].errors ? 'error' : 'default'"
            [mbShowError]="viewValidators(i) && item.controls['weaknesses'].errors != null"
            [mbErrors]="item.controls['weaknesses'].errors"
            [mbErrorDefs]="[{ errorName: 'required', errorDescription: 'Vui lòng nhập thông tin' }]"
          ></mb-input-text>

          </ng-container>
          <ng-template #editEmployeeInfo4>
            {{ listEmployeeInfo[i]?.proposeComment?.weaknesses }}

          </ng-template>
          </td>

          <td>
            <ng-container *ngIf="listEmployeeInfo[i]?.isEdit,else editEmployeeInfo5">
              <mb-select
              formControlName="alternativeType"
              [ngModelOptions]="{ standalone: true}"
              [mbDataSelects]="planAlternative"
              mbKeyLabel="name"
              mbKeyValue="code"
              mbPlaceholder="{{ 'development.proposed-unit.section.alternative1' | translate }}"
              (ngModelChange)="selectAlternativeType($event, listEmployeeInfo[i])"
              >
            </mb-select>
            </ng-container>
            <ng-template #editEmployeeInfo5>
              {{ listEmployeeInfo[i].proposeAlternative ?  checkAlternativePropose(listEmployeeInfo[i]?.proposeAlternative[0]?.alternativeType) : ''}}
            </ng-template>
          </td>

          <ng-container *ngIf="listEmployeeInfo[i].alternativeTypeCheck,else tmpAlternativeType">
          <td>
              <ng-container *ngIf="listEmployeeInfo[i].isEdit">
                <mb-input-text
                  (click)="showModalEmp(footerTmpl, true, i)"
                  formControlName="replacementEmployeeCode"
                  [mbMaxLength]="20"
                  mbPlaceholderText="{{ 'development.proposed-unit.table.empCode' | translate }}"
                  [mbReadOnly]="true"
                  [mbDisable]="!listEmployeeInfo[i]?.isEdit"
                >
                </mb-input-text>
              </ng-container>
            <ng-container *ngIf="!listEmployeeInfo[i].isEdit">
              {{
              listEmployeeInfo[i].proposeAlternative  ? listEmployeeInfo[i].proposeAlternative[0].replacementEmployeeCode : ''
              }}
            </ng-container>
          </td>
          <td nzBreakWord>
            <ng-container *ngIf="listEmployeeInfo[i].isEdit">
              <mb-input-text
              formControlName="replacementEmployee"
              [mbDisable]="true"
              mbPlaceholderText=""
            ></mb-input-text>
            </ng-container>
            <ng-container *ngIf="!listEmployeeInfo[i].isEdit">
              {{
                listEmployeeInfo[i].proposeAlternative  ? listEmployeeInfo[i].proposeAlternative[0].replacementEmployee : ''
               }}
            </ng-container>
          </td>
        </ng-container>
        <ng-template #tmpAlternativeType>
          <td colspan="2" >
            <mb-input-text
            formControlName="replacementEmployee"
            mbPlaceholderText=""
            [mbMaxLength]="150"
            *ngIf="listEmployeeInfo[i]?.isEdit"
          ></mb-input-text>
          <ng-container *ngIf="!listEmployeeInfo[i]?.isEdit">
            {{
              listEmployeeInfo[i].proposeAlternative ? listEmployeeInfo[i].proposeAlternative[0].replacementEmployee : ''
             }}
          </ng-container>
          </td>
        </ng-template>
            <td>
              <ng-container *ngIf="listEmployeeInfo[i]?.isEdit,else editEmployeeInfo13">
                <mb-input-text
                  (click)="showModalEmp(footerTmpl, false, i)"
                  formControlName="handoverEmployeeCode"
                  [mbMaxLength]="20"
                  mbPlaceholderText="{{ 'development.proposed-unit.table.empCode' | translate }}"
                  [mbReadOnly]="true"
                  [mbDisable]="!listEmployeeInfo[i]?.isEdit"
                >
                </mb-input-text>
              </ng-container>
              <ng-template #editEmployeeInfo13>
                {{
                listEmployeeInfo[i].proposeAlternative ? listEmployeeInfo[i].proposeAlternative[0].handoverEmployeeCode : ''
                }}
              </ng-template>
            </td>
            <td>
              <ng-container *ngIf="listEmployeeInfo[i]?.isEdit,else editEmployeeInfo14">
                <mb-input-text
                  formControlName="handoverEmployee"
                  [mbDisable]="true"
                  mbPlaceholderText=""
                  *ngIf="listEmployeeInfo[i]?.isEdit"
                >
                </mb-input-text>
              </ng-container>
              <ng-template #editEmployeeInfo14>
                {{
                listEmployeeInfo[i].proposeAlternative ? listEmployeeInfo[i].proposeAlternative[0].handoverEmployee : ''
                }}
              </ng-template>
            </td>


           <td>
              <mb-select
              formControlName="formName"
              [ngModelOptions]="{ standalone: true}"
              [mbDataSelects]="dataCommon.formGroupMultipleList"
              mbKeyLabel="formName"
              mbKeyValue="formCode"
              mbPlaceholder="Hình thức"
              [mbDisable]="!listEmployeeInfo[i]?.isEdit"
              [mbType]="viewValidators(i) && item.controls['formName'].errors ? 'error' : 'default'"
              [mbShowError]="viewValidators(i) && item.controls['formName'].errors != null"
              [mbErrors]="item.controls['formName'].errors"
              [mbErrorDefs]="[{ errorName: 'required', errorDescription: 'Vui lòng nhập thông tin' }]"
              *ngIf="listEmployeeInfo[i]?.isEdit"
              (mbSelect)="onChangeFormName($event, i)"
              >
            </mb-select>
            <ng-container *ngIf="!listEmployeeInfo[i]?.isEdit">
              {{
                listEmployeeInfo[i].formRotationName
               }}
            </ng-container>

          </td>

            <td>
              <ng-container *ngIf="listEmployeeInfo[i]?.isEdit,else editEmployeeInfo9">
                <mb-date-picker
                  formControlName="implementDate"
                  mbFormat="dd/MM/yyyy"
                  mbKeyLabel="name"
                  mbKeyValue="code"
                  mbPlaceholderText="dd/mm/yyyy"
                  (ngModelChange)="selectAlternativeType($event, listEmployeeInfo[i])"
                  [mbDisabled]="!listEmployeeInfo[i]?.isEdit"
                  [mbType]="viewValidators(i) && item.controls['implementDate'].errors ? 'error' : 'default'"
                  [mbShowError]="viewValidators(i) && item.controls['implementDate'].errors != null"
                  [mbErrors]="item.controls['implementDate'].errors"
                  [mbErrorDefs]="[{ errorName: 'required', errorDescription: 'Vui lòng nhập thông tin' }]"
                >
                </mb-date-picker>
              </ng-container>
              <ng-template #editEmployeeInfo9>
                <span>{{ listEmployeeInfo[i].implementDate | date: 'dd/MM/yyyy' }}</span>
              </ng-template>
            </td>

            <td>
              <ng-container *ngIf="listEmployeeInfo[i]?.isEdit,else editEmployeeInfo10">
                <mb-input-text
                  [mbDisable]="!listEmployeeInfo[i]?.isEdit"
                  mbInputType='number'
                  [mbShowFlexEnd]='false'
                  formControlName="minimumTime"
                  minNumber ='0'
                  [mbType]="viewValidators(i) && item.controls['minimumTime'].errors ? 'error' : 'default'"
                  [mbShowError]="viewValidators(i) && item.controls['minimumTime'].errors != null"
                  [mbErrors]="item.controls['minimumTime'].errors"
                  [mbErrorDefs]="[{ errorName: 'required', errorDescription: 'Vui lòng nhập thông tin' }]"
                >
                </mb-input-text>
              </ng-container>
              <ng-template #editEmployeeInfo10>
                {{ listEmployeeInfo[i].minimumTime}}
              </ng-template>
            </td>

            <td>
              <ng-container *ngIf="listEmployeeInfo[i]?.isEdit,else editEmployeeInfo11">
                <mb-input-text
                  [mbDisable]="!listEmployeeInfo[i]?.isEdit"
                  mbInputType='number'
                  [mbShowFlexEnd]='false'
                  formControlName="maximumTime"
                  minNumber ='0'
                  [mbType]="viewValidators(i) && item.controls['maximumTime'].errors ? 'error' : 'default'"
                  [mbShowError]="viewValidators(i) && item.controls['maximumTime'].errors != null"
                  [mbErrors]="item.controls['maximumTime'].errors"
                  [mbErrorDefs]="[{ errorName: 'required', errorDescription: 'Vui lòng nhập thông tin' }]"
                >
                </mb-input-text>
              </ng-container>
              <ng-template #editEmployeeInfo11>
                {{ listEmployeeInfo[i].maximumTime}}
              </ng-template>
            </td>


          <td>
            <mb-select-check-able
            mbPlaceholder="Lý do đề xuất"
            formControlName="rotationReasonID"
            [mbDataSelects]="dataCommon.proposeRotationReasonConfigDTOS"
            mbKeyLabel="name"
            mbKeyValue="id"
            [listOfSelectedValue]="item.get('rotationReasonID')?.value"
            [mbShowAction]="false"
            [mbType]="viewValidators(i) && item.controls['rotationReasonID'].errors ? 'error' : 'default'"
            [mbShowError]="viewValidators(i) && item.controls['rotationReasonID'].errors != null"
            [mbErrors]="item.controls['rotationReasonID'].errors"
            [mbErrorDefs]="[{ errorName: 'required', errorDescription: 'Vui lòng nhập thông tin' }]"
            [mbDisabled]="!listEmployeeInfo[i]?.isEdit"
            *ngIf="listEmployeeInfo[i]?.isEdit"
          ></mb-select-check-able>

          <ng-container *ngIf="!listEmployeeInfo[i]?.isEdit">
            {{ viewRotationReasonID(listEmployeeInfo[i].proposeRotationReasons) }}
          </ng-container>

          </td>
          <td>
            <ng-container *ngIf="listEmployeeInfo[i]?.conditionViolationCode !== undefined">

                <nz-tag [nzColor]="displayConditionViolation(listEmployeeInfo[i]?.conditionViolationCode)?.color" class="commentCard__tag">
                  {{ displayConditionViolation(listEmployeeInfo[i]?.conditionViolationCode)?.label }}
                </nz-tag>
              </ng-container>
          </td>
          <ng-container *ngIf="screenCode === screenCodeConst.PTNL || screenCode === screenCodeConst.KSPTNL">
            <!-- <td class="text-ellipsis" nz-tooltip nzTooltipPlacement="top" [nzTooltipTitle]="listEmployeeInfo[i]?.conditionViolation">
              {{ listEmployeeInfo[i]?.conditionViolation }}
            </td> -->
            <td>
              {{ listEmployeeInfo[i]?.consultationStatus }}
            </td>
            <td>
              {{ listEmployeeInfo[i]?.salaryStatus }}
            </td>
            <td>
              {{ listEmployeeInfo[i]?.interviewStatus }}
            </td>
            <td>
              {{ listEmployeeInfo[i]?.interviewResult }}
            </td>
            <td>
              {{ viewTitleNumberUpdatedInterview(listEmployeeInfo[i]?.numberUpdatedInterview) }}
            </td>
            <td class="text-center">
              <label
                nz-checkbox
                [nzDisabled]="true"
                formControlName="isDecision"
              >
              </label>
            </td>
            <td class="text-center">
              <label
                nz-checkbox
                [nzDisabled]="true"
                formControlName="isIncome"
              >
              </label>
            </td>
            <td class="text-center">
              <label
                nz-checkbox
                [nzDisabled]="true"
                formControlName="isInsurance"
              >
              </label>
            </td>
            <td>{{ listEmployeeInfo[i]?.flowStatusPublishName }}</td>
          </ng-container>

          <td nzRight *ngIf="screenCode !== screenCodeConst.LDDV  && screenCode !== screenCodeConst.KSPTNL">
            <ng-template #buttonEdit>


                <em
                nz-icon
                nzType="check"
                nzTheme="outline"
                (click)="saveProposeMultipleItem(listEmployeeInfo[i], i)"
                class="icons_HRDV"
              ></em>
              <em
                nz-icon
                nzType="close"
                nzTheme="outline"
                (click)="closeProposeMultipleItem(listEmployeeInfo[i], i)"
                class="icons_HRDV"
              ></em>
            </ng-template>
                <ng-container *ngIf="!listEmployeeInfo[i]?.isEdit; else buttonEdit">
                  <div *ngIf="typeAction !== screenType.create">
                    <em
                      nz-icon
                      class="listEmpIconButton"
                      nz-button
                      nzType="more"
                      nzTheme="outline"
                      nzTrigger="click"
                      nz-dropdown
                      [nzDropdownMenu]="menu"
                      [nzClickHide]="true"
                    >
                    </em>
                    <nz-dropdown-menu #menu="nzDropdownMenu">
                        <ul nz-menu>
                            <li
                              nz-button
                              nz-menu-item
                              class="subButton_dropdown"
                              (click)="showModalPropose(footerTmpl,listEmployeeInfo[i].sortOrder)"
                              *ngIf="typeAction === screenType.update && !isScreenHandle"
                            >
                              <div class="menu__item">
                                <span class="subDropdown_label">{{ 'development.proposed-unit.button.add' | translate }}</span>
                              </div>
                            </li>
                            <li
                              nz-button
                              nz-menu-item
                              class="subButton_dropdown"
                              (click)="editProposeItemInline(listEmployeeInfo[i], i)"
                              *ngIf="typeAction === screenType.update && !isScreenHandle"
                            >
                                <div class="menu__item">
                                  <span class="subDropdown_label">{{ 'development.proposed-unit.button.edit' | translate }}</span>
                                </div>
                            </li>
                            <li
                                nz-menu-item
                                nz-button
                                class="subButton_dropdown"
                                (click)="editProposeItem(listEmployeeInfo[i], i)"
                                *ngIf="checkStatusEditDelete(listEmployeeInfo[i])
                                  || listEmployeeInfo[i]?.flowStatusCode === flowCodeConstants.WITHDRAW"
                            >
                              <div class="menu__item">
                                <span class="subDropdown_label">{{ 'development.proposed-unit.button.detail' | translate }}</span>
                              </div>
                            </li>
                            <li
                              nz-menu-item
                              nz-button
                              class="subButton_dropdown"
                              (click)="deleteProposeDetail(listEmployeeInfo[i])"
                              *ngIf="checkStatusEditDelete(listEmployeeInfo[i])"
                            >
                              <div class="menu__item">
                                <span class="subDropdown_label">{{ 'development.proposed-unit.button.delete' | translate }}</span>
                              </div>
                            </li>
                            <li
                              nz-menu-item
                              nz-button
                              class="subButton_dropdown"
                              (click)="removeTheLump(listEmployeeInfo[i])"
                              *ngIf="typeAction !== screenType.create && checkStatusTheLump(listEmployeeInfo[i])"
                            >
                              <div class="menu__item">
                                <span class="subDropdown_label">{{ 'development.proposed-unit.button.deleteMerge' | translate }}</span>
                              </div>
                            </li>
                            <li
                              nz-menu-item
                              nz-button
                              class="subButton_dropdown"
                              (click)="handle(listEmployeeInfo[i])"
                              *ngIf="checkStatusHandle(listEmployeeInfo[i]) && screenCode !== screenCodeConst.LDDV"
                            >
                              <div class="menu__item">
                                <span class="subDropdown_label">{{ 'development.proposed-unit.button.handle' | translate }}</span>
                              </div>
                            </li>
                        </ul>
                    </nz-dropdown-menu>
                  </div>
                </ng-container>
          </td>
        </tr>
      </ng-container>
    </tbody>
  </nz-table>


</ng-container>
</form>
<div class="pagination" *ngIf="pageable.totalElements > 15">
    <div class="pagination__table-info">
      <img alt="" class="pagination__table-info--icon" src="assets/images/icon/idea.svg" />
      <span class="pagination__table-info--text"
        >Tìm thấy {{ pageable.totalElements }} kết quả, hiển thị từ {{ pageable.currentPage * pageable.size + 1 }} đến
        {{ pageable.currentPage * pageable.size + listEmployeeInfo.length }}</span
      >
    </div>
    <nz-pagination
      [nzPageIndex]="pageable.currentPage + 1"
      (nzPageIndexChange)="pageChange($event)"
      [nzTotal]="pageable.totalElements"
      [nzPageSize]="pageable.size"
    ></nz-pagination>
  </div>
</nz-card>





<!-- Cấp đơn vị -->
<nz-card style="margin-top: 1em" *ngIf="typeAction !== screenType.create">
  <div nz-row [nzGutter]="[40, 32]" *ngIf="checkRadioIsHCM()">
    <div nz-col class="gutter-row" nzLg="16">
      <nz-radio-group
        [(ngModel)]="displayReport"
        class="header-form__radio"
        (ngModelChange)="checkReportStatus()"
        [nzDisabled]="typeAction === screenType.detail"
      >
        <label nz-radio [nzValue]="false">{{ 'development.proposed-unit.reportCard.approveOnHCM' | translate }}</label>
        <label nz-radio [nzValue]="true">{{
          'development.proposed-unit.reportCard.notThroughLeader' | translate
        }}</label>
      </nz-radio-group>
    </div>
  </div>

  <!-- <h1>Phần HR-DV sửa(Cùng cấp đơn vị)</h1> -->
  <div
    nz-row
    [nzGutter]="[40, 32]"
    [formGroup]="formTTQD"
    *ngIf="screenCode === screenCodeConst.HRDV"
  >
    <div nz-col class="gutter-row paddingTopStatement" nzLg="24">
      <ng-container *ngIf="typeAction === screenType.detail && !dataForm?.withdrawNote">
        <mb-button
          mbButtonAvailableStyle="BORDER"
          mbButtonSize="LARGE"
          class="withdrawElement"
          (click)="showModalWithdraw(0)"
          *ngIf="checkWithdrawPropose()"
          mbButtonText="{{ 'development.proposed-unit.proposeMultiple.withdrawPropose' | translate }}">
        </mb-button>
        <mb-button
          mbButtonAvailableStyle="BORDER"
          mbButtonSize="LARGE"
          class="withdrawElement"
          (click)="showModalWithdraw(1)"
          *ngIf="checkWithdrawElement()"
          mbButtonText="{{ 'development.proposed-unit.proposeMultiple.withdrawElement' | translate }}">
        </mb-button>
      </ng-container>
    </div>

    <ng-container *ngIf="displayReport
      || (issueLevelName === unitIssueLevel && !this.dataForm?.isHo)">
      <div nz-col class="gutter-row paddingBottomStatement" nzLg="24" id="reportUnit">
        <h3>{{ 'development.proposed-unit.proposeMultiple.reportUnit' | translate }}</h3>
      </div>
      <div nz-col class="gutter-row paddingTopStatement" nzLg="6">
        <mb-input-text
          mbLabelText="{{ 'development.proposed-unit.reportCard.stateNumber' | translate }}"
          mbPlaceholderText="{{ 'development.proposed-unit.reportCard.stateNumber' | translate }}"
          formControlName="statementNumber"
          [mbType]="isSubmitFormTTQD && formTTQD.controls['statementNumber'].errors ? 'error' : 'default'"
          [mbShowError]="isSubmitFormTTQD && formTTQD.controls['statementNumber'].errors != null"
          [mbErrors]="formTTQD.controls['statementNumber'].errors"
          [mbErrorDefs]="[
            { errorName: 'required', errorDescription: 'development.proposed-unit.reportCard.mustInput' | translate }
          ]"
          [mbDisable]="typeAction === screenType.detail"
        >
        </mb-input-text>
      </div>
      <div nz-col class="gutter-row paddingTopStatement" nzLg="6">
        <mb-date-picker
          mbFormat="dd/MM/yyyy"
          mbPlaceholderText="dd/mm/yyyy"
          mbLabelText="{{ 'development.proposed-unit.reportCard.submissionDate' | translate }}"
          formControlName="submissionDate"
          [mbType]="isSubmitFormTTQD && formTTQD.controls['submissionDate'].errors ? 'error' : 'default'"
          [mbShowError]="isSubmitFormTTQD && formTTQD.controls['submissionDate'].errors != null"
          [mbErrors]="formTTQD.controls['submissionDate'].errors"
          [mbErrorDefs]="[
            { errorName: 'required', errorDescription: 'development.proposed-unit.reportCard.mustInput' | translate }
          ]"
          [mbDisabled]="typeAction === screenType.detail"
        >
        </mb-date-picker>
      </div>
      <div nz-col class="gutter-row paddingTopStatement" nzLg="6">
        <span class="title-section"> {{ 'development.proposed-unit.reportCard.attachReport' | translate }} </span><br />
        <nz-upload
          [nzDownload]="downloadFile"
          [nzDisabled]="fileListSelectTT.length === 1 || typeAction === screenType.detail"
          nzListType="text"
          [(nzFileList)]="fileListSelectTT"
          [nzMultiple]="false"
          [nzBeforeUpload]="beforeUploadTT"
          [nzRemove]="doRemoveFileTT"
        >
          <mb-button
            mbButtonAvailableStyle='PRIMARY'
            class="reportCard__uploadBtn"
          >
            <span>
              <em nz-icon nzType="upload"></em>
            </span>
          </mb-button>
        </nz-upload>
      </div>
      <div nz-col class="gutter-row paddingTopStatement" nzLg="6">
        <mb-button
          (click)="dowloadStatement(0)"
          mbButtonAvailableStyle='PRIMARY'
          class="expand-btn"
          mbButtonText="{{ 'development.proposed-unit.reportCard.printReport' | translate }}"
        >
        </mb-button>
      </div>
    </ng-container>
  </div>

  <div
    *ngIf="issueLevelName === unitIssueLevel && !this.dataForm.isHo"
    nz-row
    [nzGutter]="[40, 32]"
    [formGroup]="formTTQD"
  >
    <div nz-col class="gutter-row" nzLg="6">
      <mb-input-text
        mbLabelText="{{ 'development.proposed-unit.reportCard.decisionNumber' | translate }}"
        mbPlaceholderText="{{ 'development.proposed-unit.reportCard.decisionNumber' | translate }}"
        formControlName="decisionNumber"
        [mbType]="isSubmitFormTTQD && formTTQD.controls['decisionNumber'].errors ? 'error' : 'default'"
        [mbShowError]="isSubmitFormTTQD && formTTQD.controls['decisionNumber'].errors != null"
        [mbErrors]="formTTQD.controls['decisionNumber'].errors"
        [mbErrorDefs]="[
          { errorName: 'required', errorDescription: 'development.proposed-unit.reportCard.mustInput' | translate }
        ]"
        [mbDisable]="typeAction === screenType.detail"
      >
      </mb-input-text>
    </div>
    <div nz-col class="gutter-row" nzLg="6">
      <mb-date-picker
        mbFormat="dd/MM/yyyy"
        mbPlaceholderText="dd/mm/yyyy"
        mbLabelText="{{ 'development.proposed-unit.reportCard.signedDate' | translate }}"
        formControlName="signedDate"
        [mbDisabledDate]="disableSignDate"
        [mbType]="isSubmitFormTTQD && formTTQD.controls['signedDate'].errors ? 'error' : 'default'"
        [mbShowError]="isSubmitFormTTQD && formTTQD.controls['signedDate'].errors != null"
        [mbErrors]="formTTQD.controls['signedDate'].errors"
        [mbErrorDefs]="[
          { errorName: 'required', errorDescription: 'development.proposed-unit.reportCard.mustInput' | translate }
        ]"
        [mbDisabled]="typeAction === screenType.detail"
      >
      </mb-date-picker>
    </div>
    <div nz-col class="gutter-row" nzLg="6">
      <span class="title-section"> {{ 'development.proposed-unit.reportCard.attachDecision' | translate }} </span><br />
      <nz-upload
        [nzDownload]="downloadFile"
        [nzDisabled]="fileListSelectQD.length === 1 || typeAction === screenType.detail"
        nzListType="text"
        [(nzFileList)]="fileListSelectQD"
        [nzMultiple]="false"
        [nzBeforeUpload]="beforeUploadQD"
        [nzRemove]="doRemoveFileQD"
      >
        <mb-button
          mbButtonAvailableStyle='PRIMARY'
          class="reportCard__uploadBtn"
        >
          <span>
            <em nz-icon nzType="upload"></em>
          </span>
        </mb-button>
      </nz-upload>
    </div>
    <div nz-col class="gutter-row" nzLg="6">
      <mb-button
        (click)="dowloadStatement(1)"
        mbButtonAvailableStyle='PRIMARY'
        class="expand-btn"
        mbButtonText="{{ 'development.proposed-unit.reportCard.printDecision' | translate }}"
      >
      </mb-button>
    </div>
  </div>

  <div nz-row [nzGutter]="[40, 32]" class="marginTopApprovedComments"
    *ngIf="displayReport && screenCode === screenCodeConst.HRDV && typeAction === screenType.update">
    <div nz-col class="gutter-row" nzLg="12">
      <mb-input-text
        [mbIsTextAre]='true'
        [mbMaxLength]="200"
        [mbConfig]="{ rows: 4, autoSize: true }"
        [mbDisable]="typeAction === screenType.detail"
        [(ngModel)]="reasonsReject"
        mbLabelText="{{ 'development.proposed-unit.reportCard.apporvedOpinionOfLeader' | translate }}"
        mbPlaceholderText="{{ 'development.proposed-unit.reportCard.apporvedOpinionOfLeader' | translate }}"
      ></mb-input-text>
    </div>
  </div>


    <!-- Tờ trình của TCNS PTNL -->
    <div nz-row [nzGutter]="[40, 32]" [formGroup]="formTTQD">
      <div nz-col class="gutter-row paddingBottomStatement" nzLg="18">
        <h3 *ngIf="checkPTNLOrKSPNTViewTCNSNew()">{{ 'development.proposed-unit.proposeMultiple.reportTCNS' | translate }}</h3>
      </div>
<!--      xuất tờ trình-->
      <ng-container
          *ngIf="checkButtonDecisionReport()"
        >
      <div nz-col class="gutter-row paddingBottomStatement" nzLg="4">
        <mb-button
          (click)="dowloadStatement(0)"
          mbButtonAvailableStyle='PRIMARY'
          style="float: right"
          mbButtonText="{{ 'development.proposed-unit.reportCard.printReport' | translate }}"
        >
        </mb-button>
      </div>
    </ng-container>
      <ng-container
      *ngIf="checkPTNLOrKSPNTViewTCNSNew()"
    >

      <div nz-col class="gutter-row paddingTopStatement" nzLg="6">
        <mb-input-text
          mbLabelText="{{ 'development.proposed-unit.reportCard.stateNumber' | translate }}"
          mbPlaceholderText="{{ 'development.proposed-unit.reportCard.stateNumber' | translate }}"
          formControlName="statementNumber"
          [mbType]="isSubmitFormTTQD && formTTQD.controls['statementNumber'].errors ? 'error' : 'default'"
          [mbShowError]="isSubmitFormTTQD && formTTQD.controls['statementNumber'].errors != null"
          [mbErrors]="formTTQD.controls['statementNumber'].errors"
          [mbErrorDefs]="[
            { errorName: 'required', errorDescription: 'development.proposed-unit.reportCard.mustInput' | translate }
          ]"
          [mbDisable]="checkDisableReportPTNL()"
        >
        </mb-input-text>
      </div>
      <div nz-col class="gutter-row paddingTopStatement" nzLg="6">
        <mb-date-picker
          mbFormat="dd/MM/yyyy"
          mbPlaceholderText="dd/mm/yyyy"
          mbLabelText="{{ 'development.proposed-unit.reportCard.submissionDate' | translate }}"
          formControlName="submissionDate"
          [mbType]="isSubmitFormTTQD && formTTQD.controls['submissionDate'].errors ? 'error' : 'default'"
          [mbShowError]="isSubmitFormTTQD && formTTQD.controls['submissionDate'].errors != null"
          [mbErrors]="formTTQD.controls['submissionDate'].errors"
          [mbErrorDefs]="[
            { errorName: 'required', errorDescription: 'development.proposed-unit.reportCard.mustInput' | translate }
          ]"
          [mbDisabled]="checkDisableReportPTNL()"
        >
        </mb-date-picker>
      </div>
      <div nz-col class="gutter-row paddingTopStatement" nzLg="6"></div>

      <div
        nz-col
        class="gutter-row paddingTopStatement"
        nzLg="6"
      >
        <span class="title-section">{{
          'development.proposed-unit.proposeMultiple.attachReportApprove' | translate
        }}</span
        ><br />
        <nz-upload
          [nzDownload]="downloadFile"
          [nzDisabled]="(fileListSelect2.length === 2 && !checkBtnUpload()) || checkDisableReportPTNL()"
          nzListType="text"
          [(nzFileList)]="fileListSelect2"
          [nzMultiple]="false"
          [nzBeforeUpload]="beforeUpload2"
          [nzRemove]="doRemoveFile2"
        >
          <mb-button
            mbButtonAvailableStyle='PRIMARY'
            class="reportCard__uploadBtn"
          >
            <span>
              <em nz-icon nzType="upload"></em>
            </span>
          </mb-button>
        </nz-upload>
      </div>
    </ng-container>
    </div>
</nz-card>

<!-- TAB CHI CHI TIẾT -->
<!-- PTNL phần xử lý -->

<nz-card *ngIf="checkApproveThreeButton() ">
  <div nz-row [nzGutter]="[40, 32]">
    <div nz-col class="gutter-row" nzLg="12">
      <!-- <div nz-col class="gutter-row" nzLg="12"> -->
      <span class="title-section">{{ 'development.proposed-unit.proposeMultiple.recordIdeaApprove' | translate }}</span>
      <textarea
        nz-input
        placeholder="{{ 'development.proposed-unit.proposeMultiple.recordIdeaApprove' | translate }}"
        class="ideaAppove"
        [(ngModel)]="paramDetail.ghiNhanyKienPd"
        [nzAutosize]="{ minRows: 2, maxRows: 8 }"
        maxlength="200"
      ></textarea>
    </div>
    <div nz-col class="gutter-row" nzLg="12"></div>

    <div nz-col class="gutter-row" nzLg="6"></div>
    <div nz-col class="gutter-row" nzLg="14">
      <mb-button mbButtonAvailableStyle="PRIMARY" mbButtonSize='LARGE'
        mbButtonText="{{ 'development.proposed-unit.button.sendPropose' | translate }}" (click)="approvePTNL(0)">
      </mb-button>
      <mb-button mbButtonAvailableStyle="DANGER" mbButtonSize='LARGE'
        mbButtonText="{{ 'development.proposed-unit.button.reject' | translate }}" (click)="approvePTNL(1)">
      </mb-button>
      <mb-button mbButtonAvailableStyle="DEFAULT" mbButtonSize='LARGE'
        mbButtonText="{{ 'development.proposed-unit.button.recordOtherIdea' | translate }}" (click)="approvePTNL(2)">
      </mb-button>

    </div>
    <div nz-col class="gutter-row" nzLg="4"></div>
  </div>
</nz-card>

<!-- Lịch sử -->
<nz-card id="tab7" *ngIf="typeAction !== screenType.create">
  <div nz-row>
    <div nz-col class="gutter-row" nzLg="2" (click)="expandLog()">
      <h3>{{ 'development.proposed-unit.section.proposeLogs' | translate }}</h3>
    </div>
    <div nz-col class="gutter-row" nzLg="1" (click)="expandLog()">
      <span class="iconLog">
        <em nz-icon nzType="{{ iconStatus }}"></em>
      </span>
    </div>
  </div>

  <mb-table-wrap *ngIf="isExpand" [mbTitle]="''" [extra]='false'>
    <mb-table [tableConfig]="tableConfig" [tableData]="proposeLogs"
              [heightTable]="heightTable"
              (changePageNum)='getLog($event)'
    >
    </mb-table>
  </mb-table-wrap>
</nz-card>

<ng-template #dateLog let-actionDate  = 'actionDate'>
  <em nz-icon nzType="calendar" nzTheme="outline" class="calendar" *ngIf="actionDate"></em>
  <span class="sentDate">{{ actionDate | date: 'dd/MM/yyyy HH:mm' }}</span>
</ng-template>

<ng-template #footerTmpl>
  <mb-button
    [mbIsDisable]="isLoading"
    mbButtonAvailableStyle="PRIMARY"
    mbButtonText="Lưu"
    (click)="modalRef.getContentComponent().addData()"
  ></mb-button>
  <mb-button mbButtonAvailableStyle="BtnCancelHasBorder" mbButtonText="Hủy bỏ" (click)="modalRef.destroy()">
  </mb-button>
</ng-template>
